package oop4_dat4_ss;

import java.awt.*;
import java.awt.event.*;
/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class CircleGUI extends Frame implements AdjustmentListener, WindowListener
{
    // GUI Elemente erzeugen
    private int x = 50;
    private Scrollbar slider = new Scrollbar(Scrollbar.HORIZONTAL, x, 1, 0, 251);

    public CircleGUI()
    {
        // Frame initialisieren
        setTitle("Circle");
        setSize(400, 400);
        setResizable(false);
        // LayoutManager setzen
        setLayout(null);
        // Scrollbar erstellen
        slider.setBounds(100, 40, 200, 20);
        // GUI zusammensetzen
        add(slider);
        // Listener registrieren
        slider.addAdjustmentListener(this);
        addWindowListener(this);
        // Frame sichtbar machen
        setVisible(true);
    }

    public void paint(Graphics g)
    {
        super.paint(g);
        g.drawOval(200-(x/2), 200-(x/2), x, x);
        g.drawString("x = " + x, 180, 100);
    }
    public void adjustmentValueChanged(AdjustmentEvent e)
    {
        x = e.getValue();
        repaint();
    }
    
    public void windowActivated(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowClosing(WindowEvent e)
    {
        System.exit(0);
    }
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
}
